@echo off
echo building TI89 and TI92p/V200 version ...
tigcc -DUSE_TI89 -Os -W -Wall -fomit-frame-pointer -mno-bss -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections -fmerge-all-constants --merge-constants -pack mahjdata -o mahjongg timah.c extgraph.a
copy mahjongg.89z ..\bin89
copy mahjongg-titanium.89z ..\bin89
copy mahjongg.89y ..\bin89\mahjdata.89y
del mahjongg.89z
del mahjongg-titanium.89z
del mahjongg.89y
tigcc -DUSE_TI92PLUS -DUSE_V200 -Os -W -Wall -fomit-frame-pointer -mno-bss -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections -fmerge-all-constants --merge-constants -pack mahjdata -o mahjongg timah.c extgraph.a
copy mahjongg.9xz ..\bin92p
copy mahjongg.9xy ..\bin92p\mahjdata.9xy
copy mahjongg.v2z ..\bin92p
copy mahjongg.v2y ..\bin92p\mahjdata.v2y
del mahjongg.9xz
del mahjongg.9xy
del mahjongg.v2z
del mahjongg.v2y
@pause
@echo on
